Well Barriers

Get the well barrier illustrations and their associated activities

Get Well Barrier illustrations and associated activities

Request

Security
bearer and appkey
Path
planIdstringrequired

The ID of the plan

Headers
slb-partition-idstringrequired

The SLB data partition id.

curl -i -X GET \
  'https://eu-api.delfi.slb.com/drillplan/wellbarrier/v1/activity-associations/by-plan/{planId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string'

Responses

Success

Bodyapplication/json
planIdstring or null
wellBarrierIdstring or null
activityAssociationsArray of objects or null(Slb.DrillPlan.WellBarrier.Shared.Model.DTO.ActivityAssociationsDto)
Response
{ "planId": "string", "wellBarrierId": "string", "activityAssociations": [ {} ] }